## org.hibernate
Class ObjectDeletedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.hibernate.HibernateException
                      org.hibernate.UnresolvableObjectException
                          org.hibernate.ObjectDeletedException

All Implemented Interfaces:
  Serializable

    public class ObjectDeletedException

extends UnresolvableObjectException

Thrown when the user tries to do something illegal with a deleted object.

See Also:
  Serialized Form

Constructor Summary
`ObjectDeletedException(String message, Serializable identifier, String clazz)`

Method Summary

Methods inherited from class org.hibernate.UnresolvableObjectException
`getEntityName, getIdentifier, getMessage, throwIfNull`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ObjectDeletedException

    public ObjectDeletedException(String message,
                                  Serializable identifier,
                                  String clazz)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.